function  e  = homo2euclidVectors( h )
% converts vectors in homogeneous coordinates to euclidean coordinates

[dim, len] = size(h);

%cut the last line
e = h(1:dim-1,:);

% normalize
for i = 1:dim-1
    e(i,:) = e(i,:)./h(dim,:);
end %for
