function  q = solution01e1convenience( homoTransMat , figu)
% Convenience function for exercise 1

p1 = [0,0]';
p2 = [1,0]';
p3 = [0,1]';
p4 = [1,1]';
p5 = [0.5,1.5]';
p6 = [0,-1]';
p7 = [1,-1]';
p=[p1,p2,p3,p4,p5,p6,p7];
paxes=[p1,p2,p1,p3];
pnikolaus = [p1,p2,p4,p5,p3,p1,p4,p3,p2];
figure(figu);
axis equal;
hold on;

% plot everything --------------------------------
plot(p(1,:),p(2,:),'bx')
plot(pnikolaus(1,:),pnikolaus(2,:),'r-')
plot(paxes(1,:),paxes(2,:),'b-')


% transform first and plot ---------------------------
q=euclid2homoVectors(p);
qnikolaus =euclid2homoVectors(pnikolaus);
qaxes = euclid2homoVectors(paxes);

q=homoTransMat*q;
qnikolaus=homoTransMat*qnikolaus;
qaxes=homoTransMat*qaxes;

q=homo2euclidVectors(q);
qnikolaus = homo2euclidVectors(qnikolaus);
qaxes = homo2euclidVectors(qaxes);

plot(q(1,:),q(2,:),'bo')
plot(qnikolaus(1,:),qnikolaus(2,:),'r:')
plot(qaxes(1,:),qaxes(2,:),'b:')