close all
clear all

x=[-5, 5];

l1= [2 1 -.5]';
l2= [0.5 1 1]';

p1 = homo2euclidVectors(l1);
p2 = homo2euclidVectors(l2);

figure(1);
axis equal;
hold on

plot (p1(1,:), p1(2,:), 'bx');
plot (p2(1,:), p2(2,:), 'rx');

line1y= ( l1(1)*x+l1(3) )./(-l1(2));       % y= (ax+c)/(-b)
line2y= ( l2(1)*x+l2(3)) ./(-l2(2));       % y= (ax+c)/(-b)

plot(x,line1y,'b-');
plot(x,line2y,'r-');

plot(x,[0,0]','k-');
plot([0,0]',x,'k-');
% ---------------------------
figure(2);
axis equal;
hold on

plot (p1(1,:), p1(2,:), 'bx');
plot (p2(1,:), p2(2,:), 'rx');

l3 = cross(l1,l2);
line3y= ( l3(1)*x+l3(3)) ./(-l3(2));       % y= (ax+c)/(-b)
plot(x,line3y,'g-');

%-----------------------
figure(3);
axis equal;
hold on

line1y= (l1(1)*x+l1(3))./(-l1(2));       % y= (ax+c)/(-b)
line2y= (l2(1)*x+l2(3))./(-l2(2));       % y= (ax+c)/(-b)

plot(x,line1y,'b-');
plot(x,line2y,'r-');

p3 = homo2euclidVectors(cross(l1,l2));
plot(p3(1), p3(2), 'go')
